CANVAS_GET_SPECIFICATION(3)

FUNCTION
canvas_get_specification - Get specification information for a world canvas.

SYNOPSIS
#include <karma_canvas.h>

void canvas_get_specification

(KWorldCanvas canvas, char **xlabel, char **ylabel, unsigned int *num_restr, char ***restr_names, double **restr_values)

DESCRIPTION
This routine will get the specifications for a canvas. This includes the horizontal and vertical dimension labels and any restrictions. Only pointers are copied (i.e. the outputs may NOT be freed).

canvas
    The world canvas object.

xlabel
    The pointer to the horizontal dimension label will be written here. This may be NULL.

ylabel
    The pointer to the vertical dimension label will be written here. This may be NULL.

num_restr
    The number of restrictions will be written here. This may be NULL.

restr_names
    The pointer to the array of restriction names will be written here. This may be NULL.

restr_values
    The pointer to the array of restriction values will be written here. This may be NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/